var repair = 5; var damageGet = Math.round(Math.random()*1); var itemID = 2089; var maxDamage = 250;
var power = 5+Math.sqrt(harvesting_lvl+gardening_lvl/1.25); var breakSpeech = "So much for the hard work";
var tool = [8, 80, 15, 15, 6, 15, 7]; mainSkill = harvesting_lvl;

if (timing > 3) {timing = 0; itemUsed = true; if (pinv.getCurrentItem() != null)
{if (pinv.getCurrentItem().itemID == itemID) {var ent = pinv.getCurrentItem(); player.swingMainHand();}}
if (pinv.getOffhandItem() != null) 
{if (pinv.getOffhandItem().itemID == itemID) {var ent = pinv.getOffhandItem(); player.swingOffHand();}}

if (hitBlock != null) {time.sleep(0.05);
script.runScript("destructable blocks.js");}}